#
# spec file for package python-transip
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-transip
Version:        2.1.2
Release:        bp154.1.65
Summary:        TransIP API Connector
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/benkonrath/transip-api
Source:         https://github.com/benkonrath/transip-api/archive/%{version}.tar.gz
BuildRequires:  %{python_module cryptography}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module suds-jurko}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-cryptography
Requires:       python-requests
Requires:       python-setuptools
Requires:       python-suds-jurko
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
This library implements part of the TransIP API in Python.

%prep
%setup -q -n transip-api-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/transip-api
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# testConstructor needs network connection
%pytest -k 'not (test_constructor or testConstructor)'

%post
%python_install_alternative transip-api

%postun
%python_uninstall_alternative transip-api

%files %{python_files}
%license LICENSE
%{python_sitelib}/*
%python_alternative %{_bindir}/transip-api

%changelog
* Mon May 18 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Fri Apr 17 2020 pgajdos@suse.com
- version update to 2.1.2
  * Fix --api-key CLI argument.
  * Test on Python 3.7 & 3.8.
* Wed Mar 25 2020 pgajdos@suse.com
- version update to 2.1.1
  * Fixed syntax problem in README.rst.
  * Added a workaround for backwards incompatible change in the TransIP SOAP API.
  * Fixed bug in `DomainService.get_info`.
  * Add `remove_dns_entries` and `add_dns_entries` functions on DomainService.
* Mon Apr 15 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 2.0.0
  * Fixed ordering VPS
  * Added option to clone VPS
  * Added availability zones for VPS
  * Added option to specify private key directly
  * Changed default cryptography library from rsa to cryptography
* Mon Apr 16 2018 jengelh@inai.de
- Replace future wishes by present state.
* Sun Apr 15 2018 tchvatal@suse.com
- Add missing dependencies
- Use github tarball in order to allow tests and get license file
* Fri Sep 22 2017 daniel.molkentin@suse.com
- Initial checkin
